/*
*/

#ifndef PHONON_GST_MEDIAQUEUE_H
#define PHONON_GST_MEDIAQUEUE_H

#include <QObject>
#include <kurl.h>

namespace Phonon
{
namespace Gst
{

class MediaQueue : public QObject
{
	Q_OBJECT
	public:
		MediaQueue( QObject* parent );

		Q_INVOKABLE KUrl nextUrl() const;
		Q_INVOKABLE void setNextUrl( const KUrl & );

		Q_INVOKABLE qint32 timeBetweenMedia() const;
		Q_INVOKABLE void setTimeBetweenMedia( qint32 milliseconds );

		Q_INVOKABLE bool doCrossfade() const;
		Q_INVOKABLE void setDoCrossfade( bool doCrossfade );

	Q_SIGNALS:
		void needNextMediaObject();

	private:
		qint32 m_timeBetweenMedia;
		bool m_doCrossfade;
		KUrl m_nextUrl;
};

}} // namespace Phonon::Gst

#endif // PHONON_GST_MEDIAQUEUE_H
// vim: sw=4 ts=4 tw=80
